#99606 Report by node travis-ci covering 1804 tests from 46 modules resulted into 26 errors

Report

ObsPy Version
1.1.1rc1.post0+441.g12ef0d214d
Continuous Integration
https://travis-ci.org/obspy/obspy/jobs/456032359
GitHub Pull Request
https://github.com/obspy/obspy/pull/2265
Report File
XML Document
Total Runtime
392.2 sec
Report Date/Time
2018-11-16 10:30:24

System / Python

Architecture
64bit
Machine
x86_64
Node
travis-ci
Processor
x86_64
Python Compiler
GCC 7.3.0
Python Implementation
CPython
Python Version
3.7.0
Release
4.14.12-041412-generic
System
Linux
Version
#201801051649 SMP Fri Jan 5 16:50:54 UTC 2018

Dependencies

cartopy
---
decorator
4.3.0
flake8
---
future
0.17.1
geographiclib
1.49
lxml.etree
4.2.5
m2crypto
---
matplotlib
3.0.1
mock
2.0.0
mpl_toolkits.basemap
1.1.0
numpy
1.15.4
pep8-naming
---
pyflakes
---
pyimgur
0.5.2
pyproj
1.9.5.1
requests
2.20.1
scipy
1.1.0
setuptools
40.5.0
shapefile
2.0.0
sqlalchemy
1.2.14

Modules (46)

Module Errors /
Failures
Tracebacks
obspy.clients.arclink Not tested -
obspy.clients.earthworm Not tested -
obspy.clients.fdsn Not tested -
obspy.clients.filesystem 2 1 2
obspy.clients.iris Not tested -
obspy.clients.neic Not tested -
obspy.clients.nrl Not tested -
obspy.clients.seedlink Not tested -
obspy.clients.seishub Not tested -
obspy.clients.syngine Not tested -
obspy.core 16 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18
obspy.db - -
obspy.geodetics - -
obspy.imaging - -
obspy.io.ah - -
obspy.io.arclink - -
obspy.io.ascii - -
obspy.io.cmtsolution - -
obspy.io.cnv - -
obspy.io.css - -
obspy.io.gcf - -
obspy.io.gse2 - -
obspy.io.iaspei - -
obspy.io.json - -
obspy.io.kinemetrics - -
obspy.io.kml - -
obspy.io.mseed - -
obspy.io.ndk - -
obspy.io.nied - -
obspy.io.nlloc - -
obspy.io.nordic - -
obspy.io.pdas - -
obspy.io.pde - -
obspy.io.quakeml - -
obspy.io.reftek - -
obspy.io.rg16 1 19
obspy.io.sac - -
obspy.io.scardec - -
obspy.io.seg2 - -
obspy.io.segy - -
obspy.io.seisan - -
obspy.io.seiscomp - -
obspy.io.sh - -
obspy.io.shapefile 5 20 21 22 23 24
obspy.io.stationtxt - -
obspy.io.stationxml - -
obspy.io.wav - -
obspy.io.win - -
obspy.io.xseed - -
obspy.io.y - -
obspy.io.zmap - -
obspy.realtime - -
obspy.scripts - -
obspy.signal 2 25 26
obspy.taup - -
Summary 26 26

Tracebacks (26)

Traceback (most recent call last):
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/sre_parse.py", line 1021, in parse_template
this = chr(ESCAPES[this][1])
KeyError: '\\w'
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/clients/filesystem/tests/test_sds.py", line 241, in test_get_all_stations_and_nslc
got_netsta = client.get_all_stations()
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/clients/filesystem/sds.py", line 572, in get_all_stations
dict_ = _parse_path_to_dict(file_, pattern_, group_map)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/clients/filesystem/sds.py", line 608, in _parse_path_to_dict
regex = re.sub(FORMAT_STR_PLACEHOLDER_REGEX, r'(\w*?)', regex) + "$"
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/re.py", line 192, in sub
return _compile(pattern, flags).sub(repl, string, count)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/re.py", line 309, in _subx
template = _compile_repl(template, pattern)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/re.py", line 300, in _compile_repl
return sre_parse.parse_template(repl, pattern)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/sre_parse.py", line 1024, in parse_template
raise s.error('bad escape %s' % this, len(this))
re.error: bad escape \w at position 1
Traceback (most recent call last):
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/sre_parse.py", line 1021, in parse_template
this = chr(ESCAPES[this][1])
KeyError: '\\w'
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/clients/filesystem/tests/test_sds.py", line 184, in test_sds_report
sds_report(argv)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/scripts/sds_html_report.py", line 369, in main
for net, sta in client.get_all_stations():
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/clients/filesystem/sds.py", line 572, in get_all_stations
dict_ = _parse_path_to_dict(file_, pattern_, group_map)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/clients/filesystem/sds.py", line 608, in _parse_path_to_dict
regex = re.sub(FORMAT_STR_PLACEHOLDER_REGEX, r'(\w*?)', regex) + "$"
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/re.py", line 192, in sub
return _compile(pattern, flags).sub(repl, string, count)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/re.py", line 309, in _subx
template = _compile_repl(template, pattern)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/re.py", line 300, in _compile_repl
return sre_parse.parse_template(repl, pattern)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/sre_parse.py", line 1024, in parse_template
raise s.error('bad escape %s' % this, len(this))
re.error: bad escape \w at position 1
Traceback (most recent call last):
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/core/tests/test_event.py", line 532, in test_catalog_plot_global
cat.plot(method='basemap', outfile=ic.name)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/core/event/catalog.py", line 766, in plot
show=False, fig=fig, **kwargs)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/imaging/maps.py", line 786, in plot_map
return plot_basemap(*args, **kwargs)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/imaging/maps.py", line 249, in plot_basemap
**kwargs)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/imaging/maps.py", line 470, in _plot_basemap_into_axes
cmap=colormap)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/mpl_toolkits/basemap/__init__.py", line 567, in with_transform
return plotfunc(self,x,y,*args,**kwargs)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/mpl_toolkits/basemap/__init__.py", line 3262, in scatter
self._restore_hold(ax)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/mpl_toolkits/basemap/__init__.py", line 3238, in _restore_hold
ax._hold = self._tmp_hold
AttributeError: can't set attribute
Traceback (most recent call last):
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/core/tests/test_event.py", line 577, in test_catalog_plot_local
color='date', colormap='gist_heat')
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/core/event/catalog.py", line 766, in plot
show=False, fig=fig, **kwargs)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/imaging/maps.py", line 786, in plot_map
return plot_basemap(*args, **kwargs)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/imaging/maps.py", line 249, in plot_basemap
**kwargs)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/imaging/maps.py", line 470, in _plot_basemap_into_axes
cmap=colormap)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/mpl_toolkits/basemap/__init__.py", line 567, in with_transform
return plotfunc(self,x,y,*args,**kwargs)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/mpl_toolkits/basemap/__init__.py", line 3262, in scatter
self._restore_hold(ax)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/mpl_toolkits/basemap/__init__.py", line 3238, in _restore_hold
ax._hold = self._tmp_hold
AttributeError: can't set attribute
Traceback (most recent call last):
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/core/tests/test_event.py", line 545, in test_catalog_plot_ortho
color='date')
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/core/event/catalog.py", line 766, in plot
show=False, fig=fig, **kwargs)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/imaging/maps.py", line 786, in plot_map
return plot_basemap(*args, **kwargs)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/imaging/maps.py", line 249, in plot_basemap
**kwargs)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/imaging/maps.py", line 470, in _plot_basemap_into_axes
cmap=colormap)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/mpl_toolkits/basemap/__init__.py", line 567, in with_transform
return plotfunc(self,x,y,*args,**kwargs)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/mpl_toolkits/basemap/__init__.py", line 3262, in scatter
self._restore_hold(ax)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/mpl_toolkits/basemap/__init__.py", line 3238, in _restore_hold
ax._hold = self._tmp_hold
AttributeError: can't set attribute
Traceback (most recent call last):
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/core/tests/test_event.py", line 559, in test_catalog_plot_ortho_longitude_wrap
water_fill_color='b')
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/core/event/catalog.py", line 766, in plot
show=False, fig=fig, **kwargs)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/imaging/maps.py", line 786, in plot_map
return plot_basemap(*args, **kwargs)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/imaging/maps.py", line 249, in plot_basemap
**kwargs)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/imaging/maps.py", line 470, in _plot_basemap_into_axes
cmap=colormap)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/mpl_toolkits/basemap/__init__.py", line 567, in with_transform
return plotfunc(self,x,y,*args,**kwargs)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/mpl_toolkits/basemap/__init__.py", line 3262, in scatter
self._restore_hold(ax)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/mpl_toolkits/basemap/__init__.py", line 3238, in _restore_hold
ax._hold = self._tmp_hold
AttributeError: can't set attribute
Traceback (most recent call last):
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/core/tests/test_event.py", line 135, in test_plot_farfield_without_quiver_with_maps
['p_sphere', 's_sphere']], outfile=ic.name)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/core/event/event.py", line 259, in plot
**kwargs)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/core/event/catalog.py", line 759, in plot
show=False, **kwargs)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/imaging/maps.py", line 470, in _plot_basemap_into_axes
cmap=colormap)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/mpl_toolkits/basemap/__init__.py", line 567, in with_transform
return plotfunc(self,x,y,*args,**kwargs)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/mpl_toolkits/basemap/__init__.py", line 3262, in scatter
self._restore_hold(ax)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/mpl_toolkits/basemap/__init__.py", line 3238, in _restore_hold
ax._hold = self._tmp_hold
AttributeError: can't set attribute
Traceback (most recent call last):
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/core/tests/test_inventory.py", line 637, in test_combined_station_event_plot
fig = inv.plot(show=False)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/core/inventory/inventory.py", line 894, in plot
title=None, show=False, fig=fig, **kwargs)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/imaging/maps.py", line 777, in plot_map
return plot_basemap(*args, **kwargs)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/imaging/maps.py", line 249, in plot_basemap
**kwargs)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/imaging/maps.py", line 470, in _plot_basemap_into_axes
cmap=colormap)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/mpl_toolkits/basemap/__init__.py", line 567, in with_transform
return plotfunc(self,x,y,*args,**kwargs)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/mpl_toolkits/basemap/__init__.py", line 3262, in scatter
self._restore_hold(ax)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/mpl_toolkits/basemap/__init__.py", line 3238, in _restore_hold
ax._hold = self._tmp_hold
AttributeError: can't set attribute
Traceback (most recent call last):
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/core/tests/test_inventory.py", line 586, in test_location_plot_global
inv.plot(outfile=ic.name)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/core/inventory/inventory.py", line 894, in plot
title=None, show=False, fig=fig, **kwargs)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/imaging/maps.py", line 777, in plot_map
return plot_basemap(*args, **kwargs)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/imaging/maps.py", line 249, in plot_basemap
**kwargs)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/imaging/maps.py", line 470, in _plot_basemap_into_axes
cmap=colormap)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/mpl_toolkits/basemap/__init__.py", line 567, in with_transform
return plotfunc(self,x,y,*args,**kwargs)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/mpl_toolkits/basemap/__init__.py", line 3262, in scatter
self._restore_hold(ax)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/mpl_toolkits/basemap/__init__.py", line 3238, in _restore_hold
ax._hold = self._tmp_hold
AttributeError: can't set attribute
Traceback (most recent call last):
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/core/tests/test_inventory.py", line 619, in test_location_plot_local
outfile=ic.name)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/core/inventory/inventory.py", line 894, in plot
title=None, show=False, fig=fig, **kwargs)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/imaging/maps.py", line 786, in plot_map
return plot_basemap(*args, **kwargs)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/imaging/maps.py", line 249, in plot_basemap
**kwargs)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/imaging/maps.py", line 470, in _plot_basemap_into_axes
cmap=colormap)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/mpl_toolkits/basemap/__init__.py", line 567, in with_transform
return plotfunc(self,x,y,*args,**kwargs)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/mpl_toolkits/basemap/__init__.py", line 3262, in scatter
self._restore_hold(ax)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/mpl_toolkits/basemap/__init__.py", line 3238, in _restore_hold
ax._hold = self._tmp_hold
AttributeError: can't set attribute
Traceback (most recent call last):
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/core/tests/test_inventory.py", line 599, in test_location_plot_ortho
colormap='Set3', color_per_network=True, outfile=ic.name)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/core/inventory/inventory.py", line 894, in plot
title=None, show=False, fig=fig, **kwargs)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/imaging/maps.py", line 786, in plot_map
return plot_basemap(*args, **kwargs)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/imaging/maps.py", line 249, in plot_basemap
**kwargs)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/imaging/maps.py", line 470, in _plot_basemap_into_axes
cmap=colormap)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/mpl_toolkits/basemap/__init__.py", line 567, in with_transform
return plotfunc(self,x,y,*args,**kwargs)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/mpl_toolkits/basemap/__init__.py", line 3262, in scatter
self._restore_hold(ax)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/mpl_toolkits/basemap/__init__.py", line 3238, in _restore_hold
ax._hold = self._tmp_hold
AttributeError: can't set attribute
Traceback (most recent call last):
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/core/tests/test_network.py", line 289, in test_location_plot_global
net.plot(method='basemap', outfile=ic.name)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/core/inventory/network.py", line 557, in plot
show=False, **kwargs)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/imaging/maps.py", line 786, in plot_map
return plot_basemap(*args, **kwargs)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/imaging/maps.py", line 249, in plot_basemap
**kwargs)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/imaging/maps.py", line 470, in _plot_basemap_into_axes
cmap=colormap)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/mpl_toolkits/basemap/__init__.py", line 567, in with_transform
return plotfunc(self,x,y,*args,**kwargs)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/mpl_toolkits/basemap/__init__.py", line 3262, in scatter
self._restore_hold(ax)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/mpl_toolkits/basemap/__init__.py", line 3238, in _restore_hold
ax._hold = self._tmp_hold
AttributeError: can't set attribute
Traceback (most recent call last):
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/core/tests/test_network.py", line 321, in test_location_plot_local
size=13**2, outfile=ic.name)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/core/inventory/network.py", line 557, in plot
show=False, **kwargs)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/imaging/maps.py", line 786, in plot_map
return plot_basemap(*args, **kwargs)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/imaging/maps.py", line 249, in plot_basemap
**kwargs)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/imaging/maps.py", line 470, in _plot_basemap_into_axes
cmap=colormap)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/mpl_toolkits/basemap/__init__.py", line 567, in with_transform
return plotfunc(self,x,y,*args,**kwargs)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/mpl_toolkits/basemap/__init__.py", line 3262, in scatter
self._restore_hold(ax)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/mpl_toolkits/basemap/__init__.py", line 3238, in _restore_hold
ax._hold = self._tmp_hold
AttributeError: can't set attribute
Traceback (most recent call last):
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/core/tests/test_network.py", line 302, in test_location_plot_ortho
color='yellow', label=False, outfile=ic.name)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/core/inventory/network.py", line 557, in plot
show=False, **kwargs)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/imaging/maps.py", line 786, in plot_map
return plot_basemap(*args, **kwargs)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/imaging/maps.py", line 249, in plot_basemap
**kwargs)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/imaging/maps.py", line 470, in _plot_basemap_into_axes
cmap=colormap)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/mpl_toolkits/basemap/__init__.py", line 567, in with_transform
return plotfunc(self,x,y,*args,**kwargs)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/mpl_toolkits/basemap/__init__.py", line 3262, in scatter
self._restore_hold(ax)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/mpl_toolkits/basemap/__init__.py", line 3238, in _restore_hold
ax._hold = self._tmp_hold
AttributeError: can't set attribute
Traceback (most recent call last):
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/core/tests/test_waveform_plugins.py", line 234, in test_is_format
if is_format(file) is True: # pragma: no cover
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/io/rg16/core.py", line 490, in _is_rg16
sample_format = _read(fi, 2, 2, 'bcd')
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/io/rg16/util.py", line 25, in _read
fi.seek(position)
AttributeError: 'str' object has no attribute 'seek'
Traceback (most recent call last):
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/core/tests/test_waveform_plugins.py", line 55, in test_raise_on_empty_file
self.assertFalse(False, is_format(tmpfile))
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/io/rg16/core.py", line 490, in _is_rg16
sample_format = _read(fi, 2, 2, 'bcd')
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/io/rg16/util.py", line 25, in _read
fi.seek(position)
AttributeError: 'str' object has no attribute 'seek'
Traceback (most recent call last):
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/core/tests/test_waveform_plugins.py", line 418, in test_raise_on_unknown_format
self.assertRaises(TypeError, read, tmpfile)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/unittest/case.py", line 743, in assertRaises
return context.handle('assertRaises', args, kwargs)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/unittest/case.py", line 178, in handle
callable_obj(*args, **kwargs)
File "<decorator-gen-31>", line 2, in read
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/core/util/decorator.py", line 300, in _map_example_filename
return func(*args, **kwargs)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/core/stream.py", line 236, in read
st.extend(_read(file, format, headonly, **kwargs).traces)
File "<decorator-gen-32>", line 2, in _read
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/core/util/decorator.py", line 210, in uncompress_file
result = func(filename, *args, **kwargs)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/core/stream.py", line 278, in _read
headonly=headonly, **kwargs)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/core/util/base.py", line 397, in _read_from_plugin
is_format = is_format(filename)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/io/rg16/core.py", line 490, in _is_rg16
sample_format = _read(fi, 2, 2, 'bcd')
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/io/rg16/util.py", line 25, in _read
fi.seek(position)
AttributeError: 'str' object has no attribute 'seek'
Traceback (most recent call last):
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/core/tests/test_code_formatting.py", line 162, in test_future_imports_in_every_file
self.assertEqual(len(failures), 0, "\n" + "\n".join(failures))
AssertionError: 10 != 0 :
File '/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/io/rg16/__init__.py' misses imports: from __future__ import (absolute_import, division, print_function, unicode_literals)
File '/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/io/rg16/__init__.py' misses imports: from future.builtins import * # NOQA
File '/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/io/rg16/core.py' misses imports: from __future__ import (absolute_import, division, print_function, unicode_literals)
File '/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/io/rg16/core.py' misses imports: from future.builtins import * # NOQA
File '/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/io/rg16/tests/test_read_fcnt.py' misses imports: from __future__ import (absolute_import, division, print_function, unicode_literals)
File '/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/io/rg16/tests/test_read_fcnt.py' misses imports: from future.builtins import * # NOQA
File '/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/io/rg16/tests/test_util.py' misses imports: from __future__ import (absolute_import, division, print_function, unicode_literals)
File '/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/io/rg16/tests/test_util.py' misses imports: from future.builtins import * # NOQA
File '/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/io/rg16/util.py' misses imports: from __future__ import (absolute_import, division, print_function, unicode_literals)
File '/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/io/rg16/util.py' misses imports: from future.builtins import * # NOQA
>>> Cannot import test suite for module obspy.io.rg16 due to:
-------------------------------------------------------------
File "/home/travis/miniconda/envs/test-environment/bin/coverage", line 11, in <module>
sys.exit(main())
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/coverage/cmdline.py", line 753, in main
status = CoverageScript().command_line(argv)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/coverage/cmdline.py", line 488, in command_line
return self.do_run(options, args)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/coverage/cmdline.py", line 624, in do_run
self.run_python_module(args[0], args)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/coverage/execfile.py", line 114, in run_python_module
run_python_file(pathname, args, package=packagename, modulename=modulename, path0="")
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/coverage/execfile.py", line 184, in run_python_file
exec(code, main_mod.__dict__)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/scripts/runtests.py", line 757, in <module>
errors = run(interactive=False)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/scripts/runtests.py", line 715, in run
pr_url=args.pr_url)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/scripts/runtests.py", line 542, in run_tests
suites, status, import_failures = _get_suites(verbosity, tests)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/scripts/runtests.py", line 164, in _get_suites
suite.append(ut.loadTestsFromName(test, None))
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/unittest/loader.py", line 205, in loadTestsFromName
test = obj()
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/io/rg16/tests/__init__.py", line 17, in suite
add_unittests(suite, MODULE_NAME)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/core/util/testing.py", line 72, in add_unittests
testsuite.addTest(_module.suite())
AttributeError: module 'obspy.io.rg16.tests.test_read_fcnt' has no attribute 'suite'
Traceback (most recent call last):
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/io/shapefile/tests/test_core.py", line 178, in test_write_catalog_shapefile
_write_shapefile(cat, "catalog.shp")
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/io/shapefile/core.py", line 73, in _write_shapefile
writer = shapefile.Writer(shapefile.POINT)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/shapefile.py", line 1018, in __init__
self.shp = self.__getFileObj(os.path.splitext(target)[0] + '.shp')
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/posixpath.py", line 122, in splitext
p = os.fspath(p)
TypeError: expected str, bytes or os.PathLike object, not int
Traceback (most recent call last):
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/io/shapefile/tests/test_core.py", line 275, in test_write_catalog_shapefile_via_plugin
cat.write("catalog.shp", "SHAPEFILE")
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/core/event/catalog.py", line 515, in write
return write_format(self, filename, **kwargs)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/io/shapefile/core.py", line 73, in _write_shapefile
writer = shapefile.Writer(shapefile.POINT)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/shapefile.py", line 1018, in __init__
self.shp = self.__getFileObj(os.path.splitext(target)[0] + '.shp')
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/posixpath.py", line 122, in splitext
p = os.fspath(p)
TypeError: expected str, bytes or os.PathLike object, not int
Traceback (most recent call last):
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/io/shapefile/tests/test_core.py", line 225, in test_write_catalog_shapefile_with_extra_field
extra_fields=bad_extra_fields_wrong_length)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/io/shapefile/core.py", line 73, in _write_shapefile
writer = shapefile.Writer(shapefile.POINT)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/shapefile.py", line 1018, in __init__
self.shp = self.__getFileObj(os.path.splitext(target)[0] + '.shp')
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/posixpath.py", line 122, in splitext
p = os.fspath(p)
TypeError: expected str, bytes or os.PathLike object, not int
Traceback (most recent call last):
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/io/shapefile/tests/test_core.py", line 309, in test_write_inventory_shapefile
_write_shapefile(inv, "inventory.shp")
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/io/shapefile/core.py", line 73, in _write_shapefile
writer = shapefile.Writer(shapefile.POINT)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/shapefile.py", line 1018, in __init__
self.shp = self.__getFileObj(os.path.splitext(target)[0] + '.shp')
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/posixpath.py", line 122, in splitext
p = os.fspath(p)
TypeError: expected str, bytes or os.PathLike object, not int
Traceback (most recent call last):
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/io/shapefile/tests/test_core.py", line 339, in test_write_inventory_shapefile_via_plugin
inv.write("inventory.shp", "SHAPEFILE")
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/core/inventory/inventory.py", line 320, in write
return write_format(self, path_or_file_object, **kwargs)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/io/shapefile/core.py", line 73, in _write_shapefile
writer = shapefile.Writer(shapefile.POINT)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/shapefile.py", line 1018, in __init__
self.shp = self.__getFileObj(os.path.splitext(target)[0] + '.shp')
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/posixpath.py", line 122, in splitext
p = os.fspath(p)
TypeError: expected str, bytes or os.PathLike object, not int
Traceback (most recent call last):
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/signal/tests/test_cross_correlation.py", line 86, in test_correlate_deprecated_domain_keyword
self.assertEqual(len(w), 2)
AssertionError: 3 != 2
Traceback (most recent call last):
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/signal/tests/test_spectral_estimation.py", line 775, in test_ppsd_spectrogram_plot
fig.savefig(ic.name)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/core/util/testing.py", line 509, in __exit__
raise ImageComparisonException(msg)
obspy.core.util.testing.ImageComparisonException: Image comparison failed.
	File: ppsd_spectrogram.png
	RMS: 55.65189903917625
	Tolerance: 45.0
	Expected: https://i.imgur.com/6vaBGdi.png
	Actual: https://i.imgur.com/vQw1xwu.png
	Diff: https://i.imgur.com/7nwljvB.png

Skipped Tests (13)

Submodule Test Skip Message
core test_flake8 (obspy.core.tests.test_code_formatting.CodeFormattingTestCase) Formatting tests require at least flake8 3.0.
core test_catalog_plot_global (obspy.core.tests.test_event.CatalogCartopyTestCase) Cartopy not installed or too old
core test_catalog_plot_local (obspy.core.tests.test_event.CatalogCartopyTestCase) Cartopy not installed or too old
core test_catalog_plot_ortho (obspy.core.tests.test_event.CatalogCartopyTestCase) Cartopy not installed or too old
core test_catalog_plot_ortho_longitude_wrap (obspy.core.tests.test_event.CatalogCartopyTestCase) Cartopy not installed or too old
core test_location_plot_global (obspy.core.tests.test_inventory.InventoryCartopyTestCase) cartopy not installed
core test_location_plot_local (obspy.core.tests.test_inventory.InventoryCartopyTestCase) cartopy not installed
core test_location_plot_ortho (obspy.core.tests.test_inventory.InventoryCartopyTestCase) cartopy not installed
core test_location_plot_global (obspy.core.tests.test_network.NetworkCartopyTestCase) cartopy not installed
core test_location_plot_local (obspy.core.tests.test_network.NetworkCartopyTestCase) cartopy not installed
core test_location_plot_ortho (obspy.core.tests.test_network.NetworkCartopyTestCase) cartopy not installed
geodetics test_gps_2_dist_azimuth_bug150 (obspy.geodetics.tests.test_util_geodetics.UtilGeodeticsTestCase) Module geographiclib is installed, not using calc_vincenty_inverse
imaging test_script_plot (obspy.imaging.tests.test_mopad_script.MopadTestCase) Currently broken until further review.

Slowest Tests (20)

Runtime Test
22.657s __init__ (obspy.taup)
19.799s test_response_calculation_from_seed_and_xseed (obspy.io.xseed.tests.test_core.CoreTestCase)
15.417s test_ppsd_restricted_stacks (obspy.signal.tests.test_spectral_estimation.PsdTestCase)
8.433s test_relcal_different_overlaps (obspy.signal.tests.test_calibration.CalibrationTestCase)
8.408s test_shoot_existing_ray_param (obspy.taup.tests.test_seismic_phase.TauPySeismicPhaseTestCase)
6.523s test_polarization_vidale (obspy.signal.tests.test_polarization.PolarizationTestCase)
6.083s test_plot_multiple_traces (obspy.imaging.tests.test_waveform.WaveformTestCase)
5.871s plot_travel_times (obspy.taup.tau)
5.711s test_rotate2zne_against_lqt_different_combinations (obspy.signal.tests.test_rotate.RotateTestCase)
4.911s test_ppsd_spectrogram_plot (obspy.signal.tests.test_spectral_estimation.PsdTestCase)
4.609s test_evalresp_file_like_object (obspy.signal.tests.test_invsim.InvSimTestCase)
4.407s test_vs_java_iasp91 (obspy.taup.tests.test_tau.TauPyModelTestCase)
4.119s test_auto_read_arclink_xml (obspy.io.arclink.tests.test_inventory_xml.ArclinkInventoryTestCase)
3.951s test_remove_response_plot (obspy.core.tests.test_trace.TraceTestCase)
3.951s test_data_remains_unchanged (obspy.imaging.tests.test_waveform.WaveformTestCase)
3.743s test_ppsd_w_iris_against_obspy_results (obspy.signal.tests.test_spectral_estimation.PsdTestCase)
3.741s __init__ (obspy.taup.tau.TauPyModel)
3.707s test_sac_instrument_correction (obspy.signal.tests.test_invsim.InvSimTestCase)
3.658s test_location_plot_global (obspy.core.tests.test_inventory.InventoryBasemapTestCase)
3.643s test_many_identically_named_phases (obspy.taup.tests.test_seismic_phase.TauPySeismicPhaseTestCase)

Chuck Norris Fact

Chuck Norris's database has only one table, 'Kick', which he DROPs frequently.